<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_c61345ccedc39c1977427766275e" . "2da6" => base64_decode("aW1hZ2" . "VfZ2Fs" . "bGVyeQ" . "=="), "_61a5ceb347" . "019e37116d4" . "d2907163b82" => base64_decode("bWF0Y2hf" . "YWxs"), "_df945ac2fbdd1576202fb4" . "8096eb43f9" => base64_decode("YWRtaW" . "4ucGFu" . "ZWxzX2" . "xpc3Q="), "per" . "ms" => base64_decode("cGV" . "ybX" . "M="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_df945ac2fbdd1576202fb48096eb4" . "3f9"]}->GetOne($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c61345c" . "cedc39c1" . "97742776" . "6275e2da" . "6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_61a5ceb34" . "7019e37116" . "d4d2907163" . "b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}